Subject: [PATCH v2 1/3] arm64: mm: make pr_cont() per line in Virtual kernel memory layout

From: [email-masked] (James Morse)
Date: Mon, 18 Apr 2016 12:16:01 +0100

On 18/04/16 04:09, Kefeng Wang wrote:
> Each line with single pr_cont() in Virtual kernel memory layout,
> or the dump of the kernel memory layout in dmesg is not aligned
> when PRINTK_TIME enabled, due to the missing time stamps.

Looks good to me, but I can't reproduce the miss-aligned output on v4.6-rc4, I get:
> [    0.000000] .text : 0xffffff8008080000 - 0xffffff8008887000   (  8220 KB)
> [    0.000000] .rodata : 0xffffff8008887000 - 0xffffff8008bdc000 (  3412 KB)
> [    0.000000] .init : 0xffffff8008bdc000 - 0xffffff8008cc3000   (   924 KB)
> [    0.000000] .data : 0xffffff8008cc3000 - 0xffffff8008dd7200   (  1105 KB)

without this patch, but it evidently happens for you. Do you have any special
build options or kernel version? I'd like to understand if there is some
kconfig/earlycon option that affects this!

Thanks,

James